mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.IComparable System.IComparable<System.Guid> System.IEquatable<System.Guid> System.IFormattable A globally-unique identifier. Guids are supposed to be globally unique. They are 16-bytes long and are generally represented as a hexidecimal string enclosed in curly braces.
- Constructor
  The raw bytes of the Guid.
  Constructs a new Guid from a 16-byte byte array.
  Any array of bytes is a valid Guid.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  The Guid string.
  Creates a new Guid from a string representation.

  Two Guid formats are acceptable. The first format is: "{FFFFFFFF-FFFF-FFFF-FF-FFFFFFFFFFFFFF}". An F is a hexidecimal digit. The braces may be parenthesis or omitted, and the dashes may be omitted (all or none).

  The second format is: "{0xFFFFFFFF,0xFFFF,0xFFFF,{0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}}".

  A is throw if the format of the string does not match one of the above formats.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  The remaining parts of the Guid.
  Creates a new Guid.
  Any values are permissible.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  Creates a new Guid.
  Any values for the parameters are permissible.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  A part of the Guid.
  Constructs a new Guid.
  All values for the parameters are permissible, except where the ushort parameters cannot be converted to the short type.
  System.CLSCompliant(false)
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added: an object of type 'object' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Guid The empty Guid, with all bytes set to zero. None. 00000000-0000-0000-0000-000000000000 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Guid Creates a new Guid based on a random number. A new, random Guid. None. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A Guid. A Guid. Tests whether two Guids have the same value. True if the two Guids have the same value. None. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A Guid. A Guid. Tests whether two Guids have different values. True if the two Guids have different values. None. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Guid `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Guid `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] Gets the value of the Guid as a byte array. The byte values of the Guid. None. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` A format string. Valid values are listed in the remarks section. Returns the Guid as a string, formatted according to a format string. The Guid as a string.

  The following string values for are allowed:

  Format
  Description
  d, D
  The Guid is returned as a set of hexidecimal numbers separated by dashes. This is the default representation.
  b, B
  The Guid is returned enclosed in braces.
  p, P
  The Guid is returned enclosed in parenthesis.
  n, N
  The Guid is returned without dashes or braces/parenthesis. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The format string. The format provider. Returns the Guid as a string, formatted according to a format string and IFormatProvider. A representation of the Guid as a string. The value of is ignored. For valid values for , see . 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
System.Runtime.InteropServices.ComVisible(true)